%Function to calculate likelihood
function [logLik, logLikVec] = CalculateLogL(T, Y, Z, lags, Theta, Sigma, regimes)

residuals = GetResiduals(T, Y, Z, lags, Theta);
% calculate the initial likelihood value for each t.
for t = 1: T(1,1)-lags    
      logLikVec(t,1) =  0.5*T(1,2) *log(2*pi) + 0.5*log(det(GetSigmaForRegime( Sigma,  T,  regimes(t, 1)))) + ...
                                    0.5*residuals(t,:)*(GetSigmaForRegime( Sigma,  T,  regimes(t, 1))^-1) * residuals(t,:)';
end

logLik = sum(logLikVec);