% This is the function that calculates the vector of constants and
% autoregressive parameters of the VAR model by GLS
function [theta] = GLS(Z, Y, T, lags, Sigma, S)

for t = 1:T(1,1) - lags
      weigthingMatrix((t-1)*T(1,2) + 1 : t*T(1,2), (t-1)*T(1,2) +1 : t*T(1,2)) = (GetSigmaForRegime(Sigma, T, S(t, 1)))^-1;
end

V = (kron(Z', eye(T(1,2))) * weigthingMatrix *  kron(Z, eye(T(1,2))))^-1 ;
y = reshape(Y', T(1,2)*T(1,1), 1);

% update parameters
theta = V * kron(Z', eye(T(1,2))) * weigthingMatrix * y(T(1,2)*lags+1:end, :);