% This is the function that takes DGP specification as input and controls
% the number of observations and sample length of the simulated processes.
function [] = SimulateProcess(DGPtoEstimate)

[B, tShocks, Lambda, VARcoefficients, restrictionsMatrix, sampleSplit, y0, lags, sampleSplitsToEstimate, estimateSplit] = GetModelParametersForDGP(DGPtoEstimate);

numberOfIterations = 1000;
sampleLength = [100, 250, 500];

actualSplitsToEstimate = [SampleSplit(sampleSplitsToEstimate)];

for ii = 1:size(sampleLength, 2)
    for jj = 1:size(actualSplitsToEstimate, 2)
        RunSimulation(B, Lambda,  VARcoefficients, sampleLength(ii), sampleSplit, actualSplitsToEstimate(jj).splitPoints, tShocks, numberOfIterations, restrictionsMatrix, y0, DGPtoEstimate, lags, estimateSplit);
    end
end

