load('bq_data.mat')
lags = 2;
regimesTrue = getSampleSplit(0.348, size(Y));
%0.348 this is the 1983Q1 split

varModel = classHVAR(0, 0, [], [], Y, lags, regimesTrue(lags+1:end, :), 0.501);
varModel = varModel.EstimateHVAR;
varModel = varModel.test;
varModel = varModel.CalculateStandardErrors;

disp('Relative variances:')
disp(varModel.Lambda);

disp('Std.deviation of relative variances:')
disp(varModel.standardErrorsLambda);

disp('Degrees of freedom and test statistics for relative variances:')
disp(varModel.waldTest([4, 3, 5]))

function regimesTrue = getSampleSplit(sampleSplit, T)
    sampleSplit = [0 sampleSplit 1];
    for splitPosition = 1 : size(sampleSplit, 2)-1
        regimesTrue( round(T(1,1)*sampleSplit(1, splitPosition)) + 1 : round(T(1,1) * sampleSplit(1, splitPosition+1)) , 1) = splitPosition;
    end
end